<template>
  <dibs-layout page="index2" layout="two-columns" :video="video">
    <template #aside-header>
      <dibs-elem-back to="/" />
      <dibs-elem-lang-dropdown />
    </template>
    <template #aside-title>
      <h1>{{ $t("page.index2.title") }}</h1>
      <div class="dibs--home--aside--forward">
        <dibs-picto-forward />
      </div>
    </template>
    <template #content>
      <h2>{{ $t("page.index2.subtitle") }}</h2>
      <div class="dibs--home--docs">
        <dibs-partials-home-docs-elem
          v-for="(tuto, id) in tutos"
          :key="'tuto-' + id"
          :title="tuto.title"
          :html="tuto.html"
          :is-open="tuto.open"
        />
      </div>
      <dibs-utils-push-up />
      <dibs-elem-btn
        :label="$t('page.index2.action')"
        goto="prelogin"
        picto="forward"
      />
    </template>
  </dibs-layout>
</template>

<script>
definePageMeta({
  middleware: ["if-authenticated-then-router"],
});

export default {
  name: "IndexPage",
  layout: "dibs",
  data() {
    return {
      video: this.$tm("page.index2.video"),
      tutos: [
        {
          title: this.$t("page.index2.tutos[0].title"),
          html: this.$t("page.index2.tutos[0].html"),
          open: false,
        },
        {
          title: this.$t("page.index2.tutos[1].title"),
          html: this.$t("page.index2.tutos[1].html"),
        },
        {
          title: this.$t("page.index2.tutos[2].title"),
          html: this.$t("page.index2.tutos[2].html"),
        },
      ],
    };
  },
  mounted() {
    this.$models.Loader().off();
  },
};
</script>
<style>
.dibs--home--docs {
  counter-reset: docs;
}

.dibs--home--docs--elem:before {
  counter-increment: docs;
  content: counter(docs);
  position: absolute;
  left: 0;
  top: -0.2em;
  border: 1px solid;
  border-radius: 100%;
  width: 2em;
  height: 2em;
  font-size: 0.75em;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: var(--dibs-colors--accent);
}

.dibs--home--docs--action {
  position: absolute;
  right: 0;
  top: -0.6em;
  transform: rotate(-45deg);
  cursor: pointer;
  transition: transform 0.2s ease-in-out;
}

[data-open="true"] .dibs--home--docs--action {
  transform: rotate(0);
}

.dibs--home--docs--elem {
  padding-left: 3em;
  padding-right: 2em;
  position: relative;
}

.dibs--home--docs--title {
  font-weight: 700;
  font-size: 1.125em;
  cursor: pointer;
}

.dibs--home--docs--elem:not(:last-child) {
  border-bottom: 1px solid black;
  margin-bottom: 1em;
  padding-bottom: 1em;
}

.dibs--home--docs--elem p {
  height: auto;
  visibility: visible;
  margin: 1em 0;
  display: none;
}

.dibs--home--docs--elem[data-open="true"] p {
  display: block;
}

.dibs--home--aside--forward {
  height: 3em;
  width: fit-content;
}
.dibs--home--aside--forward > * {
  height: 100%;
}
</style>
